# $Revision: 1.11 $, $Date: 2004/08/31 17:50:19 $
Summary:	ekg logs viewer
Summary(pl):	Przegldarka logw ekg
Name:		ekglog
Version:	20040826
Release:	1
License:	GPL
Group:		Applications/Console
Source0:	http://dom.comernet.pl/ekglog/%{name}-%{version}.tar.bz2
# Source0-md5:	55f1ace38d97a4cb36223bd85659dac2
URL:		http://dom.comernet.pl/ekglog/
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ekglog can be used to view logfiles created by ekg.

%description -l pl
Program ekglog suy do przegldania logw z ekg.

%prep
%setup -q -c

%build
%{__make} -C src \
	CC="%{__cxx}" \
	CFLAGS="%{rpmcflags} -Wall -I. -Icommands -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install src/ekglog $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Docs/{AUTHORS,ChangeLog,README,TODO}
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ekglog.spec,v $
Revision 1.11  2004/08/31 17:50:19  darekr
- updated to 20040826

Revision 1.10  2004/08/22 18:10:29  adamg
- updated to 20040821

Revision 1.9  2003/12/23 22:57:56  qboosh
- BR: libstdc++-devel, zlib-devel

Revision 1.8  2003/12/23 22:54:49  domelu
- md5

Revision 1.7  2003/12/23 22:45:08  domelu
- updated to 20031222

Revision 1.6  2003/11/30 19:29:45  adamg
- updated to snap 20031124
- removed outdated -inline and -ncurses_fix patches

Revision 1.5  2003/11/03 23:02:33  adamg
- remove outdated includes_fix patch (we pass -I/usr/include/ncurses in
  spec as parameter to %%{__make}
- BR: ncurses-devel

Revision 1.4  2003/11/03 09:22:21  qboosh
- added inline patch, use optflags, removed COPYING from doc (just GPL)

Revision 1.3  2003/11/03 08:52:58  adamg
- updated to 20031103, builds, works

Revision 1.2  2003/10/21 18:16:54  qboosh
- cosmetics

Revision 1.1  2003/10/21 15:19:30  adamg
- initial import
- not finished yet - doesn't even build ...
